package com.cctemplate.controller;

import com.cctemplate.mapper.RewardedMapper;
import com.cctemplate.pojo.Event;
import com.cctemplate.pojo.Valid;
import jakarta.annotation.Resource;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;
import cn.hutool.crypto.digest.DigestUtil;

import java.util.Objects;

@RestController
public class RewardController {
    @Resource
    private RewardedMapper rewardedMapper;
    @GetMapping ("/rewardedVerify")
    public Valid rewardedVerify(Event event){
        System.out.println(event.toString());
        String s1 = "配置回调后会发在群里" + ":" + event.getTrans_id();
        String decrypt = DigestUtil.sha256Hex(s1);
        Valid v = new Valid();

        if(!Objects.equals(decrypt, event.getSign())){
            // 验证不通过
            v.setIsValid(false);
            return v;
        }
        // 验证通过 存入数据库
        rewardedMapper.setValue(event);
        // 最后返回 返回值要包含 isValid: true
        v.setIsValid(true);
        System.out.println(v);
        return v;
    };
}
